Sedulight: (Diskussions-Thread) Support für 170 Kanäle im BETA TEST! 500HD/800(se)/7020HD/8000

  • Wenn das dubbelige OE 2.5 endlich mal durchkompilieren würde, könnte man sich zumindest schon mal ansehen, was am Plugin zu tun wäre ..


    /usr/src/debug/gcc-runtime/5.3.0-r0/gcc-5.3.0/build.arm-oe-linux-gnueabi.arm-oe-linux-gnueabi/arm-oe-linux-gnueabi/libstdc++-v3/src/c++98/messages_members_cow.cc:139: undefined reference to `__dso_handle'
    | ../src/c++98/.libs/libc++98convenience.a(messages_members.o):/usr/src/debug/gcc-runtime/5.3.0-r0/gcc-5.3.0/build.arm-oe-linux-gnueabi.arm-oe-linux-gnueabi/arm-oe-linux-gnueabi/libstdc++-v3/src/c++98/messages_members.cc:139: more undefined references to `__dso_handle' follow
    | collect2: error: ld returned 1 exit status
    | Makefile:605: recipe for target 'libstdc++.la' failed
    | make[3]: *** [libstdc++.la] Error 1
    | make[3]: Leaving directory '/home/mamba/Projekte/OE2.5/opendreambox/build/dm900/tmp-glibc/work/cortexa15hf-neon-vfpv4-oe-linux-gnueabi/gcc-runtime/5.3.0-r0/gcc-5.3.0/build.arm-oe-linux-gnueabi.arm-oe-linux-gnueabi/arm-oe-linux-gnueabi/libstdc++-v3/src'
    | Makefile:637: recipe for target 'all-recursive' failed
    | make[2]: *** [all-recursive] Error 1

    checking for long long... yes
    checking for long double... yes
    +++ Divide By Cucumber Error. Stopping. +++

    Edited once, last by mamba0815 ().

  • Immerhin. Der OE2.5 Arm Xrosscompiler läuft. :-)


    Schnell mal X-Komplilierungs-Script damit angeworfen.
    Er findet iostream.h nicht:


    In file included from atmo7-multi.cpp:24:0:
    atmolightd-multi.h:1:21: fatal error: iostream: No such file or directory
    compilation terminated.


    Ich schaue mir das am Wochenende mal genauer an. Aktuell läuft der Build für's OE2.2.


    LG,


    Mamba

    checking for long long... yes
    checking for long double... yes
    +++ Divide By Cucumber Error. Stopping. +++

    Edited once, last by mamba0815 ().

  • Ich würde mich schon sehr sehr sehr über Atmolight für 2.2 als .deb freuen, da ich ein Atmolight Modul habe :) Das Enigmalight habe ich lediglich ausführlich ein paar Abende getestet und meine Erkenntnisse beigetragen, weil das das einzige war, was überhaupt auf OE2.2 installierbar und lauffähig war.


    Hatte dazu auch einen Thread gestartet, leider mit sehr wenig Response :(


    Atmolight Plugin Nutzung/Support (durch anderes Plugin?) für DreamOS?

  • Sehe ich das richtig, dass man für das Erzeugen eines .deb Files immer ein Makefile braucht?

    checking for long long... yes
    checking for long double... yes
    +++ Divide By Cucumber Error. Stopping. +++

  • Bump :D


    Hab nichts gesagt :D
    Hätt besser lesen sollen...


    Hab aber auch noch meine Probleme mit dem OE2.5,
    ging vorher mehr und einfacher als jetzt.

  • Quote

    Original von m0rphU


    Wie steht es denn um atmolightd? Da ist der Quellcode nicht frei oder? Sonst hätte ich das hier längst mal getestet.
    Denn soweit ich das verstanden habe ist der dortige Code ja weitaus weniger komplex und kann schneller angepasst werden.


    Gibt es das irgendwo und ist das kompliziert das binary auf OE2.2 anzupassen/kompilieren? gutemine hat ja das "umhämmer"tool für IPKG auf DEB umzubauen, aber da die Binary von Atmolight nicht lauffähig ist unter OE2.2 ohne Anpassung, ist man auch auf dem Weg in die Hose gekniffen (da gibt es einen Thread im Oozoon Board, auf den ich gestoßen bin)


    Das .deb konnte ich auch erfolgreich damit erzeugen. Allerdings wie gesagt, binary nicht angepasst und damit kommt das hier:


    "/tmp/enigma2-plugin-extensions-atmolightd_0.5-r1_mipsel.ipk not found


    root@dm520:/tmp# opkg-install enigma2-plugin-extensions-atmolightd_0.7-pre1_all.ipk


    opkg install by gutemine V0.4


    -rw-r--r-- 1 root root 813480 Feb 5 18:09 /tmp/enigma2-plugin-extensions-atmolightd_0.7-pre1_all.deb


    Selecting previously unselected package enigma2-plugin-extensions-atmolightd.
    (Reading database ... 16134 files and directories currently installed.)
    Preparing to unpack .../enigma2-plugin-extensions-atmolightd_0.7-pre1_all.deb ...
    Unpacking enigma2-plugin-extensions-atmolightd (0.7-pre1) ...
    Setting up enigma2-plugin-extensions-atmolightd (0.7-pre1) ...
    Keine unterstuetzte Dreambox/Vu+ gefunden ! Entferne Plugin aus dem Flash.
    E: Could not get lock /var/lib/dpkg/lock - open (11: Resource temporarily unavailable)
    E: Unable to lock the administration directory (/var/lib/dpkg/), is another process using it?
    dpkg: error processing package enigma2-plugin-extensions-atmolightd (--install):
    subprocess installed post-installation script returned error exit status 1
    Errors were encountered while processing:
    enigma2-plugin-extensions-atmolightd


    root@dm520:/tmp#"